# Class Mandrill_Ips

Located at Mandrill/Ips.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public array`

# `getList( )`

Lists your dedicated IPs.

Lists your dedicated IPs.

#### Returns

`array`
an array of structs for each dedicated IP - return[] struct information about a single dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `info( string $ip )`

Retrieves information about a single dedicated ip.

Retrieves information about a single dedicated ip.

#### Parameters

$ip
  `string`
  $ip a dedicated IP address

#### Returns

`struct`
Information about the dedicated ip - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `provision( boolean $warmup = false, string $pool = null )`

Requests an additional dedicated IP for your account. Accounts may have one outstanding request at any time, and provisioning requests are processed within 24 hours.

Requests an additional dedicated IP for your account. Accounts may have one outstanding request at any time, and provisioning requests are processed within 24 hours.

#### Parameters

$warmup
  `boolean`
  $warmup whether to enable warmup mode for the ip
$pool
  `string`
  $pool the id of the pool to add the dedicated ip to, or null to use your account's default pool

#### Returns

`struct`
a description of the provisioning request that was created - requested_at string the date and time that the request was created as a UTC timestamp in YYYY-MM-DD HH:MM:SS format

`public struct`

# `startWarmup( string $ip )`

Begins the warmup process for a dedicated IP. During the warmup process, Mandrill will gradually increase the percentage of your mail that is sent over the warming-up IP, over a period of roughly 30 days. The rest of your mail will be sent over shared IPs or other dedicated IPs in the same pool.

Begins the warmup process for a dedicated IP. During the warmup process, Mandrill will gradually increase the percentage of your mail that is sent over the warming-up IP, over a period of roughly 30 days. The rest of your mail will be sent over shared IPs or other dedicated IPs in the same pool.

#### Parameters

$ip
  `string`
  $ip a dedicated ip address

#### Returns

`struct`
Information about the dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `cancelWarmup( string $ip )`

Cancels the warmup process for a dedicated IP.

Cancels the warmup process for a dedicated IP.

#### Parameters

$ip
  `string`
  $ip a dedicated ip address

#### Returns

`struct`
Information about the dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `setPool( string $ip, string $pool, boolean $create_pool = false )`

Moves a dedicated IP to a different pool.

Moves a dedicated IP to a different pool.

#### Parameters

$ip
  `string`
  $ip a dedicated ip address
$pool
  `string`
  $pool the name of the new pool to add the dedicated ip to
$create_pool
  `boolean`
  $create_pool whether to create the pool if it does not exist; if false and the pool does not exist, an Unknown_Pool will be thrown.

#### Returns

`struct`
Information about the updated state of the dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `delete( string $ip )`

Deletes a dedicated IP. This is permanent and cannot be undone.

Deletes a dedicated IP. This is permanent and cannot be undone.

#### Parameters

$ip
  `string`
  $ip the dedicated ip to remove from your account

#### Returns

`struct`
a description of the ip that was removed from your account. - ip string the ip address - deleted string a boolean indicating whether the ip was successfully deleted

`public array`

# `listPools( )`

Lists your dedicated IP pools.

Lists your dedicated IP pools.

#### Returns

`array`
the dedicated IP pools for your account, up to a maximum of 1,000 - return[] struct information about each dedicated IP pool - name string this pool's name - created_at string the date and time that this pool was created as a UTC timestamp in YYYY-MM-DD HH:MM:SS format - ips array the dedicated IPs in this pool - ips[] struct information about each dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `poolInfo( string $pool )`

Describes a single dedicated IP pool.

Describes a single dedicated IP pool.

#### Parameters

$pool
  `string`
  $pool a pool name

#### Returns

`struct`
Information about the dedicated ip pool - name string this pool's name - created_at string the date and time that this pool was created as a UTC timestamp in YYYY-MM-DD HH:MM:SS format - ips array the dedicated IPs in this pool - ips[] struct information about each dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `createPool( string $pool )`

Creates a pool and returns it. If a pool already exists with this name, no action will be performed.

Creates a pool and returns it. If a pool already exists with this name, no action will be performed.

#### Parameters

$pool
  `string`
  $pool the name of a pool to create

#### Returns

`struct`
Information about the dedicated ip pool - name string this pool's name - created_at string the date and time that this pool was created as a UTC timestamp in YYYY-MM-DD HH:MM:SS format - ips array the dedicated IPs in this pool - ips[] struct information about each dedicated IP - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format

`public struct`

# `deletePool( string $pool )`

Deletes a pool. A pool must be empty before you can delete it, and you cannot delete your default pool.

Deletes a pool. A pool must be empty before you can delete it, and you cannot delete your default pool.

#### Parameters

$pool
  `string`
  $pool the name of the pool to delete

#### Returns

`struct`
information about the status of the pool that was deleted - pool string the name of the pool - deleted boolean whether the pool was deleted

`public struct`

# `checkCustomDns( string $ip, string $domain )`

Tests whether a domain name is valid for use as the custom reverse DNS for a dedicated IP.

Tests whether a domain name is valid for use as the custom reverse DNS for a dedicated IP.

#### Parameters

$ip
  `string`
  $ip a dedicated ip address
$domain
  `string`
  $domain the domain name to test

#### Returns

`struct`
validation results for the domain - valid string whether the domain name has a correctly-configured A record pointing to the ip address - error string if valid is false, this will contain details about why the domain's A record is incorrect

`public struct`

# `setCustomDns( string $ip, string $domain )`

Configures the custom DNS name for a dedicated IP.

Configures the custom DNS name for a dedicated IP.

#### Parameters

$ip
  `string`
  $ip a dedicated ip address
$domain
  `string`
  $domain a domain name to set as the dedicated IP's custom dns name.

#### Returns

`struct`
information about the dedicated IP's new configuration - ip string the ip address - created_at string the date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - pool string the name of the pool that this dedicated IP belongs to - domain string the domain name (reverse dns) of this dedicated IP - custom_dns struct information about the ip's custom dns, if it has been configured - enabled boolean a boolean indicating whether custom dns has been configured for this ip - valid boolean whether the ip's custom dns is currently valid - error string if the ip's custom dns is invalid, this will include details about the error - warmup struct information about the ip's warmup status - warming_up boolean whether the ip is currently in warmup mode - start_at string the start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - end_at string the end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format